# Wallpapers
{
  pkgs,
  theme,
  ...
}:

{
  home.packages = with pkgs; [ hyprpaper ];

  services.hyprpaper = {
    enable = true;
    settings =
      let
        defaultWallpaper = builtins.toString theme.wallpaper.default;
      in
      {
        ipc = "on";
        splash = false;
        splash_offset = 2.0;

        preload = [
          defaultWallpaper
        ];

        wallpaper = [
          ",${defaultWallpaper}"
        ];
      };
  };
}
